Mists of Pandaria Addons Now Supported on Curse.com!

The Curse Team has an exciting announcement to make: it is now possible to sort by Mists of Pandaria beta compatibile addons on Curse.com!

Want to check out what authors have already done? Simply click this link to browse all of the addons available!

As the beta continues on, you can be sure that more of your favourite addons will pop up in this listing! Addon authors are constantly updating their creations to be tested by their users in preparation for the expansion pack's release.

Should you still want to manually download and update your addons, please be sure to install any downloaded MoP beta compatible addons in the proper World of Warcraft installation folder. Placing MoP compatible addons in the current live client may lead to crashes, bugs, or loss of stored addon data.

You must login to post a comment. Don't have an account? Register to get one!

  • 6 comments
  • Avatar of Tonywify Tonywify Jul 17, 2014 at 12:18 UTC - 0 likes
    I've bee searching for these addons since forever. Then, my buddy helped me to sort out this website and I'm very happy to get my task done. I owe this website for providing me such an important resource. Thanks. Regards, apple.com
  • Avatar of jonahkart jonahkart Jun 16, 2014 at 11:53 UTC - 0 likes

    The problem is the clients not having the latest updates on their systems. I think the add-ons should be able to ask the clients directly to update so that the communication between the server and the clients will be smooth and error free. Bearpaws boots

  • Avatar of LightsfuryUther LightsfuryUther Aug 01, 2012 at 22:50 UTC - 1 like

    The client is rather adamant about my updated addons NOT having been updated. The client only shows me the latest pre-5.0 updates. Is there a way to demand the client update to the 5.0 versions for a Beta install?

  • Avatar of Elsia Elsia Aug 01, 2012 at 05:10 UTC - 0 likes

    @prencher: Go

    Thanks. Worked like a charm.

  • Avatar of prencher prencher Jul 31, 2012 at 19:02 UTC - 0 likes

    @Elsia: Go

    For the listing on curse.com, it must be an addon with at least one beta or release file tagged for version 5.0.1.

  • Avatar of Elsia Elsia Jul 31, 2012 at 18:52 UTC - 0 likes

    What defines an addon as MOP-compatible? Recount is compatible in its latest alpha but I do not see it on the list. Are there any steps I have to take?

  • 6 comments

Facts

Date created
Jul 31, 2012
Last updated
Aug 02, 2012

Author